<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:07 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>tests/cases/standard-doclet.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/tests/cases/standard-doclet.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>tests/cases/standard-doclet.php</h1>
<hr>

<a name="line1"></a><pre><?php
<a name="line2"></a>
<a name="line3"></a>/**
<a name="line4"></a> * @package PHPDoctor\Tests
<a name="line5"></a> */
<a name="line6"></a>class TestStandardDoclet extends DoctorTestCase
<a name="line7"></a>{
<a name="line8"></a>	
<a name="line9"></a>	function testStandardDoclet() {
<a name="line10"></a>	    $this->DoctorTestCase('Standard doclet tests');
<a name="line11"></a>		
<a name="line12"></a>		$this->clearOutputDir();
<a name="line13"></a>		
<a name="line14"></a>		$this->setIniFile('standard-doclet.ini');
<a name="line15"></a>		$this->runPhpDoctor();
<a name="line16"></a>		
<a name="line17"></a>    }
<a name="line18"></a>    
<a name="line19"></a>	function testEscapeHTMLInVariable() {
<a name="line20"></a>		$results = $this->readOutputFile('phpdoctor/tests/data/aclass.html');
<a name="line21"></a>		$this->assertTrue(strpos($results, '<strong>$varContainingHTMLToEscape</strong> = \'&lt;strong&gt;Escape me&lt;/strong&gt;\'</code>'));
<a name="line22"></a>	}
<a name="line23"></a>	
<a name="line24"></a>	function testExtendingClassWithSameNameInDifferentNamespace() {
<a name="line25"></a>	    if (version_compare(EXEC_VERSION, '5.3.0', '>=')) {
<a name="line26"></a>            $results = $this->readOutputFile('phpdoctor/tests/filelevel/duplicateclass.html');
<a name="line27"></a>            $this->assertTrue(strpos($results, '<p class="signature">public  class <strong>duplicateClass</strong><br>extends <a href="../../../phpdoctor/tests/mynamespace/duplicateclass.html">duplicateClass</a>'));
<a name="line28"></a>        }
<a name="line29"></a>	}
<a name="line30"></a>	
<a name="line31"></a>	function testInterfaceImplementsLink() {
<a name="line32"></a>	    $results = $this->readOutputFile('phpdoctor/tests/data/aclass.html');
<a name="line33"></a>		$this->assertTrue(strpos($results, '<a href="../../../phpdoctor/tests/data/aninterface.html">anInterface</a>'));
<a name="line34"></a>		
<a name="line35"></a>		if (version_compare(EXEC_VERSION, '5.3.0', '>=')) {
<a name="line36"></a>            $results = $this->readOutputFile('phpdoctor/tests/filelevel/implementanexternalinterface.html');
<a name="line37"></a>            $this->assertTrue(strpos($results, '<a href="../../../phpdoctor/tests/mynamespace/aninterface.html">PHPDoctor\Tests\MyNamespace\anInterface</a>'));
<a name="line38"></a>        }
<a name="line39"></a>		
<a name="line40"></a>	}
<a name="line41"></a>	
<a name="line42"></a>	function testShortDescriptionWithAFullStop() {
<a name="line43"></a>		$results = $this->readOutputFile('phpdoctor/tests/data/package-summary.html');
<a name="line44"></a>		$this->assertStringContains('<td class="description">This is aClass that implements anInterface.|</td>', $results, true);
<a name="line45"></a>	}
<a name="line46"></a>	
<a name="line47"></a>	function testInheritance() {
<a name="line48"></a>		$results = $this->readOutputFile('phpdoctor/tests/filelevel/inherittestchild.html');
<a name="line49"></a>		$this->assertTrue(strpos($results, '<p>Test inheriting of class doccomments</p>'));
<a name="line50"></a>		$this->assertTrue(strpos($results, '<p class="description">Parent field comment is: Test inheriting of field doccomments</p>'));
<a name="line51"></a>		$this->assertTrue(strpos($results, '<p class="description">Parent method comment is: Test inheriting of method doccomments</p>'));
<a name="line52"></a>		$this->assertStringContains('<p>Parent field comment is: Test inheriting of field doccomments</p>', $results, TRUE);
<a name="line53"></a>		$this->assertTrue(strpos($results, '<p>Parent method comment is: Test inheriting of method doccomments</p>'));
<a name="line54"></a>	}
<a name="line55"></a>	
<a name="line56"></a>}
<a name="line57"></a>
<a name="line58"></a>?>
<a name="line59"></a></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/tests/cases/standard-doclet.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>